#SingleInstance
#NoEnv

StringLeft, MenuHotkeyFirstChar, MenuHotkey, 1
f_AlwaysShowMenu = y
f_AtStartingPos = n
f_MenuItemCount = 0
INI=%a_scriptdir%\Win-Tools.ini

;-------------------------------------------------------------------Win-Tools.ini einlesen
Loop, Read, %INI%
{	
	ifInString, A_LoopReadLine, ShowShellFolders=
	{
		ifInString, A_LoopReadLine, YES
		{
			LoadDefaults=1
		}
	break
	}

	f_MenuItemCount++
	if A_LoopReadLine =  ; Leere Zeile in der INI als Separator einfgen.
	{
		Menu, Favorites, Add
	} Else {
		StringSplit, f_line, A_LoopReadLine, `;
		f_line1 = %f_line1%  
		f_line2 = %f_line2%  
		Transform, f_path%f_MenuItemCount%, deref, %f_line2%
		Transform, f_line1, deref, %f_line1%
		Menu, Favorites, Add, %f_line1%, f_OpenFavorite
	}
}
;-------------------------------------------------------------------Men anzeigen
f_DisplayMenu:
WinGet, f_window_id, ID, A
WinGetClass, f_class, ahk_id %f_window_id%
if f_class in #32770,ExploreWClass,CabinetWClass  ; Dialog or Explorer.
	ControlGetPos, f_Edit1Pos,,,, Edit1, ahk_id %f_window_id%
if f_AlwaysShowMenu = n  ; The menu should be shown only selectively.
{
	if f_class in #32770,ExploreWClass,CabinetWClass  ; Dialog oder Explorer.
	{
		if f_Edit1Pos =  
			return
	}
	else if f_class <> ConsoleWindowClass
		return 
}
Menu, Favorites, show
return

;-------------------------------------------------------------------Geklickten Favoriten ffnen
f_OpenFavorite:
StringTrimLeft, f_path, f_path%A_ThisMenuItemPos%, 0

if f_path =
	return

; Default Aktion (Run)
IfInString,f_path,.exe
{
	Run, %f_path%
}
else
{
	run, explorer.exe %f_path%
}
